{ config, ... }:
{
  imports = [
    ./hosts
    ./mounts
    ./mycelium
    ./nameservers
    ./wireless
  ];

  networking = {
    useNetworkd = true;
    dhcpcd.enable = !config.networking.useNetworkd;
    nftables.enable = true;
    firewall.allowPing = false;
  };

  services.resolved = {
    enable = config.networking.useNetworkd;
    dnsovertls = "true";
  };

  systemd = {
    services.NetworkManager-wait-online.enable = false;
    network.wait-online.enable = false;
  };
}
