{ config, lib, nodes, ... }:
{
  fileSystems = let
    common = {
      fsType = "nfs";
      options = [
        "noatime"
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  in with nodes; {
    "midas" = common // {
      device = "midas:/storage";
      mountPoint = "/network/Midas";
    };
    "kitty" = common // {
      device = "kitty:/storage";
      mountPoint = "/network/Kitty";
    };
    "detritus" = common // {
      device = "detritus:/storage";
      mountPoint = "/network/Detritus";
    };
    "prophet" = common // {
      device = "prophet:/storage";
      mountPoint = "/network/Prophet";
    };
  };
}
