{ config, lib, pkgs, ... }:
{
  config = lib.mkIf (builtins.elem "pc" config.system.nixos.tags) {
    services.greetd = {
      enable = true;
      settings.default_session.command = lib.mkDefault (lib.strings.concatStringsSep " " [
        "${pkgs.greetd.tuigreet}/bin/tuigreet"
        "--asterisks"
        "--remember"
        "--remember-user-session"
        "--time"
        "--user-menu"
      ]);
      vt = 2;
    };
    environment.persistence."/persist".files = [ "/var/cache/tuigreet" ];
  };
}
