{ config, lib, ... }:
{
  imports = [ ./nginx ];

  services = lib.mkIf config.mailserver.enable {
    go-autoconfig = {
      enable = true;
      settings = {
        service_addr = ":1323";
        domain = "autoconfig.${config.vars.mailDomain}";
        imap = {
          server = "mx.${config.vars.mailDomain}";
          port = 143;
        };
        smtp = {
          server = "mx.${config.vars.mailDomain}";
          port = 587;
        };
      };
    };
    cloudflare-dyndns.domains = [ config.services.go-autoconfig.settings.domain ];
  };
}
