{ config, lib, ... }: 
{
  config = lib.mkIf config.mailserver.enable {
    services.roundcube = {
      enable = true;
      hostName = "mail.${config.vars.mailDomain}";
      extraConfig = ''
        $config['smtp_server'] = "tls://mx.${config.vars.mailDomain}";
        $config['smtp_user'] = "%u";
        $config['smtp_pass'] = "%p";
      '';
    };

    environment.persistence."/persist".directories = [ "/var/lib/roundcube" ];
  };
}
