{ config, lib, pkgs, ... }:
{
  services = {
    minecraft-servers.servers.skyblock = {
      package = pkgs.paperServers.paper-1_21_4;
      jvmOpts = "-Xmx2000M";
      serverProperties = config.services.minecraft-servers.common.serverProperties // {
        difficulty = 3;
        server-port = 30015;
        motd = "\\u00A7l\\u00A7aBlocking in the sky";
      };
      whitelist = config.services.minecraft-servers.common.whitelist;
      symlinks = config.services.minecraft-servers.common.paperSymlinks;
      files = config.services.minecraft-servers.common.configFiles;
    };
    cloudflare-dyndns.domains = lib.mkIf config.services.minecraft-servers.servers.skyblock.enable [ "skyblock.${config.vars.primeDomain}" ];
  };
}
