{ config, lib, ... }:
{
  imports = [
    ./acme
    ./user
  ];

  config = lib.mkIf config.services.nginx.enable {
    services.nginx = {
      recommendedBrotliSettings = true;
      recommendedGzipSettings = true;
      recommendedOptimisation = true;
      recommendedProxySettings = true;
      recommendedTlsSettings = true;
    };
    networking.firewall.allowedTCPPorts = [
      config.services.nginx.defaultHTTPListenPort
      config.services.nginx.defaultSSLListenPort
    ];
    environment.persistence."/persist".directories = [ "/var/www" ];
  };
}
