{ config, lib, pkgs, ... }:
let
  user = "freecorn";
in {
  config = lib.mkIf (builtins.elem "extra-users" config.system.nixos.tags) {
    users.users.${user} = {
      isNormalUser = true;
      createHome = true;
      openssh.authorizedKeys.keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBCADciME1/rtWOlR2BxaAkRSgIZt61SYOgjTi6hw+yS Chinook"
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICtoHVAmq8Ps7EguBsV3VY4snagzkhH6aXqwbKzuGs2H Radiant"
      ];
      shell = pkgs.zsh;
      uid = 1001;
    };

    environment.persistence."/persist".directories = [ "/home/${user}" ];
  };
}
