{ config, lib, pkgs, ... }:
{
  users.users."${config.vars.mainUser}" = {
    isNormalUser = true;
    createHome = true;
    linger = true;
    hashedPassword = config.secrets.accPass.main;
    openssh.authorizedKeys.keyFiles = [
      ../../../../hosts/tower/id_ed25519.pub
      ../../../../hosts/intuos/id_ed25519.pub
      ../../../../hosts/jupiter/id_ed25519.pub
    ];
    openssh.authorizedKeys.keys = [ 
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIN3B9Uf3h5JiD2HjF/vQ5Zx9pibMgRrlf7ZoBktev9eB Warden"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJahAoF74BY6GCTsFkt1ADKaraFgJJozW1Y1aBTLK0j9 Pixel9"
    ];
    extraGroups = [
      # Privilige
      "wheel"

      # Devices
      "audio"
      "input"
      "render"
      "rtkit"
      "video"

      # Virtualization
      "incus-admin"
      "kvm"
      "libvirtd"
      "qemu-libvirtd"

      # Services
      "minecraft"
      "nfsShare"
      "nginx"
    ];
    shell = pkgs.zsh;
    uid = 1000;
  };

  home-manager.users."${config.vars.mainUser}" = {
    imports = [ ../../../home ];
    home.stateVersion = lib.mkForce config.system.stateVersion;
  };
}
